目 录CONTENT

文章目录

使用dart-sass代替node-sass

Administrator
2021-12-23 / 0 评论 / 0 点赞 / 5397 阅读 / 960 字

使用dart-sass代替node-sass

引言

node-sass的安装有多少坑,相信你在搜索引擎里面输入node-sass时,搜索的结果已经告诉你了,不信你试试...

图像
图像

如何解决node-sass的安装问题,答案是放弃它!

如果你执意要使用node-sass,你可以去参考这篇文章

为什么要使用dart-sass

  1. 避免安装node-sass的坑
  2. 解决了node-sass下载速度慢、本地编译慢的问题
// 场景: 让React应用支持sass,由于npm6.9以上支持新功能package alias对包重命名
// 可以既满足包名为node-sass,但实际是使用的dart-sass的效果
npm install node-sass@npm:dart-sass 

总结:这个方法是我在React项目中遇到node-sass安装的坑,由于找到的其他解决方法会涉及到多次uninstall和install node_modules,个人认为比较麻烦,于是干脆使用这个简单粗暴的方法,希望对你有所帮助。

0

评论区